
Vagrant.configure(2) do |config|
  config.vm.box = "ubuntu/trusty64"
  config.ssh.insert_key = false

  ##enabled sync option to copy  nginx/logrotate/upstart/wsgi files to vagrant VM
  ##The best practise to have them managed through SCM
  #config.vm.synced_folder ".", "/vagrant", disabled: true

  #define cpu and memory
  config.vm.provider :virtualbox do |v|
    v.name = "devopsvm"
    v.memory = 512
    # assign max available CPU to Vagrant VM
    host = RbConfig::CONFIG['host_os']
    if host =~ /darwin/
       cpus = `sysctl -n hw.ncpu`.to_i
    elsif host =~ /linux/
       cpus = `nproc`.to_i     
    else # windows
       cpus = 2
    end
    v.customize [ "modifyvm", :id, "--cpus", cpus]
    v.customize [ "modifyvm", :id, "--natdnshostresolver1", "on"]
  end

  #network configuration
  config.vm.hostname = "devopsvm"
  config.vm.network :private_network, ip: "10.10.10.20"

  #set hostname
  config.vm.define :devopsvm do |devopsvm|
  end

  #ansible provisoner.
  config.vm.provision "ansible" do |ansible|
   ansible.playbook = "provisioning/kickstart.yml"
   ansible.inventory_path = "provisioning/inventory"
   ansible.sudo = true
  end

end
